import base64
import json

from fastapi.security import HTTPAuthorizationCredentials

from src.core.common.schemas import TokenPayloadSchema


def decode_token_from_base64(
        token: HTTPAuthorizationCredentials
) -> TokenPayloadSchema:
    token = token.credentials
    payload_b64 = token.split(".")[1]
    payload_bytes = base64.urlsafe_b64decode(payload_b64 + "==")  # Добавляем padding
    payload = json.loads(payload_bytes)

    return TokenPayloadSchema(**payload)
