from fastapi import FastAPI
from starlette.responses import RedirectResponse

from src.core.api_tips_integrate.router import router as tips_router


app = FastAPI(
    title="DonateHelper integrate api for tips.",
)

@app.get(
    "/",
    include_in_schema=False
)
async def docs_redirect():
    return RedirectResponse(url='/docs')

app.include_router(
    router=tips_router,
    prefix="/tips",
)


